import request from '@/utils/request'

// 查询文件列表
export function listFileData(query) {
    return request({
        url: '/VRdemo/file/list',
        method: 'get',
        params: query
    })
}

// 查询文件详细
export function getFileData(fileid) {
    return request({
        url: '/VRdemo/file/' + fileid,
        method: 'get'
    })
}
//修改应用状态
export function updateAppstatus(appId, status) {
    const data = {
        appId,
        status
    }
    return request({
        url: '/VRdemo/app/changeStatus',
        method: 'put',
        data: data
    })
}

// 新增文件
export function addFileData(data) {
    return request({
        url: '/VRdemo/file',
        method: 'post',
        data: data
    })
}

// 修改文件
export function updateFileData(data) {
    return request({
        url: '/VRdemo/file',
        method: 'put',
        data: data
    })
}

// 删除文件
export function delFile(fileid) {
    return request({
        url: '/VRdemo/file/' + fileid,
        method: 'delete'
    })
}